melfb_s Struct Reference

Base Struct to hold all structure for MFCC computation. More...

`#include <fe_internal.h>`

## Data Fields

float32 | sampling_rate
int32 | num_cepstra
int32 | num_filters
int32 | fft_size
float32 | lower_filt_freq
float32 | upper_filt_freq
mfcc_t ** | mel_cosine
mfcc_t * | filt_coeffs
int16 * | spec_start
int16 * | filt_start
int16 * | filt_width
int32 | doublewide
char const * | warp_type
char const * | warp_params
uint32 | warp_id
mfcc_t | sqrt_inv_n
mfcc_t | sqrt_inv_2n
int32 | lifter_val
mfcc_t * | lifter
int32 | unit_area
int32 | round_filters

## Detailed Description

Base Struct to hold all structure for MFCC computation.

Definition at line 75 of file fe_internal.h.

## Field Documentation

## doublewide

int32 melfb_s::doublewide

Definition at line 90 of file fe_internal.h.

## fft_size

int32 melfb_s::fft_size

Definition at line 79 of file fe_internal.h.

## filt_coeffs

mfcc_t* melfb_s::filt_coeffs

Definition at line 85 of file fe_internal.h.

## filt_start

int16* melfb_s::filt_start

Definition at line 87 of file fe_internal.h.

## filt_width

int16* melfb_s::filt_width

Definition at line 88 of file fe_internal.h.

## lifter

mfcc_t* melfb_s::lifter

Definition at line 98 of file fe_internal.h.

## lifter_val

int32 melfb_s::lifter_val

Definition at line 97 of file fe_internal.h.

## lower_filt_freq

float32 melfb_s::lower_filt_freq

Definition at line 80 of file fe_internal.h.

## mel_cosine

mfcc_t** melfb_s::mel_cosine

Definition at line 83 of file fe_internal.h.

## num_cepstra

int32 melfb_s::num_cepstra

Definition at line 77 of file fe_internal.h.

## num_filters

int32 melfb_s::num_filters

Definition at line 78 of file fe_internal.h.

## round_filters

int32 melfb_s::round_filters

Definition at line 103 of file fe_internal.h.

## sampling_rate

float32 melfb_s::sampling_rate

Definition at line 76 of file fe_internal.h.

## spec_start

int16* melfb_s::spec_start

Definition at line 86 of file fe_internal.h.

## sqrt_inv_2n

mfcc_t melfb_s::sqrt_inv_2n

Definition at line 95 of file fe_internal.h.

## sqrt_inv_n

mfcc_t melfb_s::sqrt_inv_n

Definition at line 95 of file fe_internal.h.

## unit_area

int32 melfb_s::unit_area

Definition at line 100 of file fe_internal.h.

## upper_filt_freq

float32 melfb_s::upper_filt_freq

Definition at line 81 of file fe_internal.h.

## warp_id

uint32 melfb_s::warp_id

Definition at line 93 of file fe_internal.h.

## warp_params

char const* melfb_s::warp_params

Definition at line 92 of file fe_internal.h.

## warp_type

char const* melfb_s::warp_type

Definition at line 91 of file fe_internal.h.

The documentation for this struct was generated from the following file:

- src/libsphinxbase/fe/fe_internal.h